import request from '@/utils/request'

// 查询车辆运营平台列表
export function listCar(query) {
  return request({
    url: '/netWorking/car/list',
    method: 'get',
    params: query
  })
}

// 查询车辆运营平台详细
export function getCar(id) {
  return request({
    url: '/netWorking/car/' + id,
    method: 'get'
  })
}

// 新增车辆运营平台
export function addCar(data) {
  return request({
    url: '/netWorking/car',
    method: 'post',
    data: data
  })
}

// 修改车辆运营平台
export function updateCar(data) {
  return request({
    url: '/netWorking/car/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除车辆运营平台
export function delCar(id) {
  return request({
    url: '/netWorking/car/' + id,
    method: 'delete'
  })
}

//管理员审核企业完善信息
export function authentication(data) {
  return request({
    url: '/netWorking/car/authentication',
    method: 'post',
    data: data
  })
}
